package com.brilliance.isc.common.api.bptbck.service;

import com.brilliance.isc.common.api.bptbck.vo.BptbckRequest;
import com.brilliance.isc.common.api.bptbck.vo.BptbckResponse;
import com.brilliance.isc.vo.component.bptbck.Bms9011ReqVo;
import com.brilliance.isc.vo.component.bptbck.Bms9011ResVo;
import com.brilliance.isc.vo.component.bptbck.BptbckQueryVo;
import com.brilliance.isc.vo.component.bptbck.Gle4338Vo;

import java.util.List;

public interface BptbckApiService {

    BptbckResponse assertBptbck(BptbckRequest request);

    BptbckResponse call6157(BptbckRequest request);

    List<Bms9011ResVo> call9011(Bms9011ReqVo request);

    List<Gle4338Vo> calcGle4338(BptbckQueryVo bptbckQueryVo);
}
